#include "job.h"

#include <string.h>

void job_parse(char *str, job *j)
{
	memset(j, 0, sizeof(*j));
	j->type = str[0];
	j->length = str[1];
	strncpy(j->text, str + 2, j->length);
}

void job_stringify(char buf[], job *j)
{
	memset(buf, 0, sizeof(*buf));
	buf[0] = j->type;
	buf[1] = j->length;
	strncpy(buf + 2, j->text, j->length);
}

void job_read(FILE *f, job *j)
{
	memset(j, 0, sizeof(*j));
	if (feof(f))
		return;
	fread(&(j->type), 1, 1, f);
	fread(&(j->length), 1, 1, f);
	fread(&(j->text), 1, j->length, f);
}
